Index: squid/src/auth/ntlm/auth_ntlm.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/auth_ntlm.c,v
retrieving revision 1.1.24.5
retrieving revision 1.1.24.6
diff -u -r1.1.24.5 -r1.1.24.6
--- squid/src/auth/ntlm/auth_ntlm.c	30 Sep 2001 20:38:14 -0000	1.1.24.5
+++ squid/src/auth/ntlm/auth_ntlm.c	19 Oct 2001 19:05:15 -0000	1.1.24.6
@@ -41,6 +41,8 @@
 #include "squid.h"
 #include "auth_ntlm.h"
 
+extern AUTHSSETUP authSchemeSetup_ntlm;
+
 static void
 authenticateStateFree(authenticateStateData * r)
 {
@@ -80,9 +82,9 @@
 
 static int authntlm_initialised = 0;
 
-MemPool *ntlm_helper_state_pool = NULL;
-MemPool *ntlm_user_pool = NULL;
-MemPool *ntlm_request_pool = NULL;
+static MemPool *ntlm_helper_state_pool = NULL;
+static MemPool *ntlm_user_pool = NULL;
+static MemPool *ntlm_request_pool = NULL;
 static auth_ntlm_config *ntlmConfig = NULL;
 
 static hash_table *proxy_auth_cache = NULL;
@@ -93,7 +95,7 @@
  *
  */
 
-void
+static void
 authNTLMDone(void)
 {
     debug(29, 2) ("authNTLMDone: shutting down NTLM authentication.\n");
@@ -124,7 +126,7 @@
 }
 
 /* free any allocated configuration details */
-void
+static void
 authNTLMFreeConfig(authScheme * scheme)
 {
     if (ntlmConfig == NULL)
@@ -255,14 +257,14 @@
     }
 }
 
-int
+static int
 authenticateNTLMActive()
 {
     return (authntlm_initialised == 1) ? 1 : 0;
 }
 
 
-int
+static int
 authNTLMConfigured()
 {
     if ((ntlmConfig != NULL) && (ntlmConfig->authenticate != NULL) && (ntlmConfig->authenticateChildren != 0) && (ntlmConfig->challengeuses > -1) && (ntlmConfig->challengelifetime > -1)) {
@@ -275,15 +277,15 @@
 
 /* NTLM Scheme */
 
-int
+static int
 authenticateNTLMDirection(auth_user_request_t * auth_user_request)
 {
     ntlm_request_t *ntlm_request = auth_user_request->scheme_data;
     /* null auth_user is checked for by authenticateDirection */
     switch (ntlm_request->auth_state) {
     case AUTHENTICATE_STATE_NONE:	/* no progress at all. */
-        if (ntlm_request->flags.credentials_ok != 2)
-	  debug(29, 1) ("authenticateNTLMDirection: called before NTLM Authenticate!. Report a bug to squid-dev. au %x\n", auth_user_request);
+	if (ntlm_request->flags.credentials_ok != 2)
+	    debug(29, 1) ("authenticateNTLMDirection: called before NTLM Authenticate!. Report a bug to squid-dev. au %x\n", auth_user_request);
 	return -2;
     case AUTHENTICATE_STATE_NEGOTIATE:		/* send to helper */
     case AUTHENTICATE_STATE_RESPONSE:	/*send to helper */
@@ -301,7 +303,7 @@
  * must be first. To ensure that, the configure use --enable-auth=ntlm, anything
  * else.
  */
-void
+static void
 authenticateNTLMFixErrorHeader(auth_user_request_t * auth_user_request, HttpReply * rep, http_hdr_type type, request_t * request)
 {
     ntlm_request_t *ntlm_request;
@@ -341,7 +343,7 @@
     }
 }
 
-void
+static void
 authNTLMRequestFree(ntlm_request_t * ntlm_request)
 {
     if (!ntlm_request)
@@ -360,7 +362,7 @@
     memPoolFree(ntlm_request_pool, ntlm_request);
 }
 
-void
+static void
 authNTLMAURequestFree(auth_user_request_t * auth_user_request)
 {
     if (auth_user_request->scheme_data)
@@ -368,7 +370,7 @@
     auth_user_request->scheme_data = NULL;
 }
 
-void
+static void
 authenticateNTLMFreeUser(auth_user_t * auth_user)
 {
     dlink_node *link, *tmplink;
@@ -438,12 +440,10 @@
 	authenticateStateFree(r);
 	debug(29, 9) ("NTLM HandleReply, telling stateful helper : %d\n", S_HELPER_RELEASE);
 	return S_HELPER_RELEASE;
-    } 
-    
+    }
     if (!reply) {
 	fatal("authenticateNTLMHandleReply: called with no result string\n");
-    } 
-
+    }
     /* seperate out the useful data */
     if (strncasecmp(reply, "TT ", 3) == 0) {
 	reply += 3;
@@ -486,7 +486,7 @@
 	assert(ntlm_request->auth_state == AUTHENTICATE_STATE_RESPONSE);
 	ntlm_user->username = xstrndup(reply, MAX_LOGIN_SZ);
 	ntlm_request->authserver = NULL;
-	ntlm_request->flags.credentials_ok = 1;	/* login ok */
+	ntlm_request->flags.credentials_ok = 1;		/* login ok */
 #ifdef NTLM_FAIL_OPEN
     } else if (strncasecmp(reply, "LD ", 3) == 0) {
 	/* This is a variant of BH, which rather than deny access
@@ -513,7 +513,7 @@
 	ntlm_user->username = xstrndup(reply, MAX_LOGIN_SZ);
 	helperstate = helperStatefulServerGetData(ntlm_request->authserver);
 	ntlm_request->authserver = NULL;
-	ntlm_request->flags.credentials_ok = 1;	/* login ok */
+	ntlm_request->flags.credentials_ok = 1;		/* login ok */
 	/* BH code: mark helper as broken */
 	/* Not a valid helper response to a YR request. Assert so the helper
 	 * programmer will fix their bugs! */
@@ -534,14 +534,14 @@
 	/* todo: action of Negotiate state on error */
 	result = S_HELPER_RELEASE;	/*some error has occured. no more requests */
 	ntlm_request->authserver = NULL;
-	ntlm_request->flags.credentials_ok = 2;	/* Login/Usercode failed */
+	ntlm_request->flags.credentials_ok = 2;		/* Login/Usercode failed */
 	debug(29, 4) ("authenticateNTLMHandleReply: Error validating user via NTLM. Error returned '%s'\n", reply);
 	ntlm_request->auth_state = AUTHENTICATE_STATE_NONE;
 	if ((t = strchr(reply, ' ')))	/* strip after a space */
 	    *t = '\0';
     } else if (strncasecmp(reply, "NA", 2) == 0) {
 	/* NTLM Helper protocol violation! */
-	fatal ("NTLM Helper returned invalid response \"NA\" - a error message MUST be attached\n");
+	fatal("NTLM Helper returned invalid response \"NA\" - a error message MUST be attached\n");
     } else if (strncasecmp(reply, "BH ", 3) == 0) {
 	/* TODO kick off a refresh process. This can occur after a YR or after
 	 * a KK. If after a YR release the helper and resubmit the request via 
@@ -558,7 +558,7 @@
 	assert((ntlm_user != NULL) && (ntlm_request != NULL));
 	result = S_HELPER_RELEASE;	/*some error has occured. no more requests for 
 					 * this helper */
-	assert (ntlm_request->authserver ? ntlm_request->authserver == lastserver : 1);
+	assert(ntlm_request->authserver ? ntlm_request->authserver == lastserver : 1);
 	helperstate = helperStatefulServerGetData(ntlm_request->authserver);
 	ntlm_request->authserver = NULL;
 	if (ntlm_request->auth_state == AUTHENTICATE_STATE_NEGOTIATE) {
@@ -600,8 +600,8 @@
 	debug(29, 1) ("authenticateNTLMHandleReply: *** Unsupported helper response ***, '%s'\n", reply);
 	/* restart the authentication process */
 	ntlm_request->auth_state = AUTHENTICATE_STATE_NONE;
-	ntlm_request->flags.credentials_ok = 3;	/* cannot process */
-	assert (ntlm_request->authserver ? ntlm_request->authserver == lastserver : 1);
+	ntlm_request->flags.credentials_ok = 3;		/* cannot process */
+	assert(ntlm_request->authserver ? ntlm_request->authserver == lastserver : 1);
 	ntlm_request->authserver = NULL;
     }
     r->handler(r->data, NULL);
@@ -619,7 +619,7 @@
 }
 
 /* is a particular challenge still valid ? */
-int
+static int
 authenticateNTLMValidChallenge(ntlm_helper_state_t * helperstate)
 {
     debug(29, 9) ("authenticateNTLMValidChallenge: Challenge is %s\n", helperstate->challenge ? "Valid" : "Invalid");
@@ -629,7 +629,7 @@
 }
 
 /* does our policy call for changing the challenge now? */
-int
+static int
 authenticateNTLMChangeChallenge_p(ntlm_helper_state_t * helperstate)
 {
     /* don't check for invalid challenges just for expiry choices */
@@ -776,7 +776,7 @@
 }
 
 /* callback used by stateful helper routines */
-int
+static int
 authenticateNTLMHelperServerAvailable(void *data)
 {
     ntlm_helper_state_t *statedata = data;
@@ -793,7 +793,7 @@
     return 0;
 }
 
-void
+static void
 authenticateNTLMHelperServerOnEmpty(void *data)
 {
     ntlm_helper_state_t *statedata = data;
@@ -812,7 +812,7 @@
 
 
 /* clear the NTLM helper of being reserved for future requests */
-void
+static void
 authenticateNTLMReleaseServer(auth_user_request_t * auth_user_request)
 {
     ntlm_request_t *ntlm_request;
@@ -825,7 +825,7 @@
 }
 
 /* clear any connection related authentication details */
-void
+static void
 authenticateNTLMOnCloseConnection(ConnStateData * conn)
 {
     ntlm_request_t *ntlm_request;
@@ -833,7 +833,7 @@
     if (conn->auth_user_request != NULL) {
 	assert(conn->auth_user_request->scheme_data != NULL);
 	ntlm_request = conn->auth_user_request->scheme_data;
-	assert (ntlm_request->conn == conn);
+	assert(ntlm_request->conn == conn);
 	if (ntlm_request->authserver != NULL && ntlm_request->authserver_deferred)
 	    authenticateNTLMReleaseServer(conn->auth_user_request);
 	/* unlock the connection based lock */
@@ -850,7 +850,7 @@
 }
 
 /* authenticateUserUsername: return a pointer to the username in the */
-char *
+static char *
 authenticateNTLMUsername(auth_user_t * auth_user)
 {
     ntlm_user_t *ntlm_user = auth_user->scheme_data;
@@ -862,7 +862,7 @@
 /* NTLMLastHeader: return a pointer to the last header used in authenticating
  * the request/conneciton
  */
-const char *
+static const char *
 NTLMLastHeader(auth_user_request_t * auth_user_request)
 {
     ntlm_request_t *ntlm_request;
@@ -877,7 +877,7 @@
  * Auth_user structure.
  */
 
-void
+static void
 authenticateDecodeNTLMAuth(auth_user_request_t * auth_user_request, const char *proxy_auth)
 {
     dlink_node *node;
@@ -897,7 +897,7 @@
     return;
 }
 
-int
+static int
 authenticateNTLMcmpUsername(ntlm_user_t * u1, ntlm_user_t * u2)
 {
     return strcmp(u1->username, u2->username);
@@ -908,7 +908,7 @@
  * and sends the same response to squid on a single select cycle.
  * Check for this and if found ignore the new link 
  */
-void
+static void
 authenticateProxyAuthCacheAddLink(const char *key, auth_user_t * auth_user)
 {
     auth_user_hash_pointer *proxy_auth_hash;
@@ -930,7 +930,7 @@
 }
 
 
-int
+static int
 authNTLMAuthenticated(auth_user_request_t * auth_user_request)
 {
     ntlm_request_t *ntlm_request = auth_user_request->scheme_data;
@@ -1069,7 +1069,7 @@
 	/* set these to now because this is either a new login from an 
 	 * existing user or a new user */
 	auth_user->expiretime = current_time.tv_sec;
-	ntlm_request->flags.credentials_ok = 1;	/*authenticated ok */
+	ntlm_request->flags.credentials_ok = 1;		/*authenticated ok */
 	return;
 	break;
     case AUTHENTICATE_STATE_DONE:
Index: squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/ntlm/helpers/NTLMSSP/Attic/ntlm_auth.c,v
retrieving revision 1.6.2.4
retrieving revision 1.6.2.5
diff -u -r1.6.2.4 -r1.6.2.5
--- squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c	30 Aug 2001 17:13:11 -0000	1.6.2.4
+++ squid/src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c	19 Oct 2001 19:05:15 -0000	1.6.2.5
@@ -67,11 +67,12 @@
 char smb_error_buffer[1000];
 
 /* signal handler to be invoked when the authentication operation
-	 times out */
-static char got_timeout=0;
+ * times out */
+static char got_timeout = 0;
 static void
-timeout_during_auth(int signum) {
-	dc_disconnect();
+timeout_during_auth(int signum)
+{
+    dc_disconnect();
 }
 
 /* makes a null-terminated string upper-case. Changes CONTENTS! */
@@ -308,16 +309,16 @@
 	    /* notreached */
 	case NTLM_AUTHENTICATE:
 	    /* check against the DC */
-	    plen = strlen(buf) * 3 / 4; /* we only need it here. Optimization */
-	    signal(SIGALRM,timeout_during_auth);
+	    plen = strlen(buf) * 3 / 4;		/* we only need it here. Optimization */
+	    signal(SIGALRM, timeout_during_auth);
 	    alarm(30);
 	    cred = ntlm_check_auth((ntlm_authenticate *) decoded, plen);
 	    alarm(0);
-	    signal(SIGALRM,SIG_DFL);
+	    signal(SIGALRM, SIG_DFL);
 	    if (got_timeout != 0) {
-		fprintf(stderr,"ntlm-auth[%d]: Timeout during authentication.\n", getpid());
+		fprintf(stderr, "ntlm-auth[%d]: Timeout during authentication.\n", getpid());
 		SEND("BH Timeout during authentication");
-		got_timeout=0;
+		got_timeout = 0;
 		return;
 	    }
 	    if (cred == NULL) {
Index: squid/src/fs/aufs/async_io.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/async_io.c,v
retrieving revision 1.3.24.2
retrieving revision 1.3.24.3
diff -u -r1.3.24.2 -r1.3.24.3
--- squid/src/fs/aufs/async_io.c	25 Aug 2001 08:28:46 -0000	1.3.24.2
+++ squid/src/fs/aufs/async_io.c	19 Oct 2001 19:05:15 -0000	1.3.24.3
@@ -155,14 +155,10 @@
     assert(initialised);
     squidaio_counts.cancel++;
     for (m = used_list.head; m; m = next) {
-	while (m) {
-	    curr = m->data;
-	    if (curr->fd == fd)
-		break;
-	    m = m->next;
-	}
-	if (m == NULL)
-	    break;
+	next = m->next;
+	curr = m->data;
+	if (curr->fd != fd)
+	    continue;
 
 	squidaio_cancel(&curr->result);
 
@@ -175,7 +171,6 @@
 		done_handler(fd, their_data, -2, -2);
 	    cbdataUnlock(their_data);
 	}
-	next = m->next;
 	dlinkDelete(m, &used_list);
 	memPoolFree(squidaio_ctrl_pool, curr);
     }
Index: squid/src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.6.10.6
retrieving revision 1.6.10.7
diff -u -r1.6.10.6 -r1.6.10.7
--- squid/src/fs/aufs/store_dir_aufs.c	25 Aug 2001 08:28:46 -0000	1.6.10.6
+++ squid/src/fs/aufs/store_dir_aufs.c	19 Oct 2001 19:05:15 -0000	1.6.10.7
@@ -79,9 +79,9 @@
 static char *storeAufsDirSwapLogFile(SwapDir *, const char *);
 static EVH storeAufsDirRebuildFromDirectory;
 static EVH storeAufsDirRebuildFromSwapLog;
-static int storeAufsDirGetNextFile(RebuildState *, int *sfileno, int *size);
+static int storeAufsDirGetNextFile(RebuildState *, sfileno *, int *size);
 static StoreEntry *storeAufsDirAddDiskRestore(SwapDir * SD, const cache_key * key,
-    int file_number,
+    sfileno file_number,
     size_t swap_file_sz,
     time_t expires,
     time_t timestamp,
@@ -129,27 +129,24 @@
  */
 
 static int
-storeAufsDirMapBitTest(SwapDir * SD, int fn)
+storeAufsDirMapBitTest(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     squidaioinfo_t *aioinfo;
     aioinfo = (squidaioinfo_t *) SD->fsdata;
     return file_map_bit_test(aioinfo->map, filn);
 }
 
 static void
-storeAufsDirMapBitSet(SwapDir * SD, int fn)
+storeAufsDirMapBitSet(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     squidaioinfo_t *aioinfo;
     aioinfo = (squidaioinfo_t *) SD->fsdata;
     file_map_bit_set(aioinfo->map, filn);
 }
 
 void
-storeAufsDirMapBitReset(SwapDir * SD, int fn)
+storeAufsDirMapBitReset(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     squidaioinfo_t *aioinfo;
     aioinfo = (squidaioinfo_t *) SD->fsdata;
     /*
@@ -381,7 +378,7 @@
     StoreEntry *e = NULL;
     StoreEntry tmpe;
     cache_key key[MD5_DIGEST_CHARS];
-    int sfileno = 0;
+    sfileno filn = 0;
     int count;
     int size;
     struct stat sb;
@@ -393,7 +390,7 @@
     debug(20, 3) ("storeAufsDirRebuildFromDirectory: DIR #%d\n", rb->sd->index);
     for (count = 0; count < rb->speed; count++) {
 	assert(fd == -1);
-	fd = storeAufsDirGetNextFile(rb, &sfileno, &size);
+	fd = storeAufsDirGetNextFile(rb, &filn, &size);
 	if (fd == -2) {
 	    debug(20, 1) ("Done scanning %s swaplog (%d entries)\n",
 		rb->sd->path, rb->n_read);
@@ -418,7 +415,7 @@
 	if ((++rb->counts.scancount & 0xFFFF) == 0)
 	    debug(20, 3) ("  %s %7d files opened so far.\n",
 		rb->sd->path, rb->counts.scancount);
-	debug(20, 9) ("file_in: fd=%d %08X\n", fd, sfileno);
+	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
 	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeAufsDirRebuildFromDirectory: read(FD %d): %s\n",
@@ -440,7 +437,7 @@
 	if (tlv_list == NULL) {
 	    debug(20, 1) ("storeAufsDirRebuildFromDirectory: failed to get meta data\n");
 	    /* XXX shouldn't this be a call to storeAufsUnlink ? */
-	    storeAufsDirUnlinkFile(SD, sfileno);
+	    storeAufsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	debug(20, 3) ("storeAufsDirRebuildFromDirectory: successful swap meta unpacking\n");
@@ -464,7 +461,7 @@
 	tlv_list = NULL;
 	if (storeKeyNull(key)) {
 	    debug(20, 1) ("storeAufsDirRebuildFromDirectory: NULL key\n");
-	    storeAufsDirUnlinkFile(SD, sfileno);
+	    storeAufsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	tmpe.hash.key = key;
@@ -476,11 +473,11 @@
 	} else if (tmpe.swap_file_sz != sb.st_size) {
 	    debug(20, 1) ("storeAufsDirRebuildFromDirectory: SIZE MISMATCH %d!=%d\n",
 		tmpe.swap_file_sz, (int) sb.st_size);
-	    storeAufsDirUnlinkFile(SD, sfileno);
+	    storeAufsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	if (EBIT_TEST(tmpe.flags, KEY_PRIVATE)) {
-	    storeAufsDirUnlinkFile(SD, sfileno);
+	    storeAufsDirUnlinkFile(SD, filn);
 	    rb->counts.badflags++;
 	    continue;
 	}
@@ -499,7 +496,7 @@
 	rb->counts.objcount++;
 	storeEntryDump(&tmpe, 5);
 	e = storeAufsDirAddDiskRestore(SD, key,
-	    sfileno,
+	    filn,
 	    tmpe.swap_file_sz,
 	    tmpe.expires,
 	    tmpe.timestamp,
@@ -690,7 +687,7 @@
 }
 
 static int
-storeAufsDirGetNextFile(RebuildState * rb, int *sfileno, int *size)
+storeAufsDirGetNextFile(RebuildState * rb, sfileno *filn_p, int *size)
 {
     SwapDir *SD = rb->sd;
     squidaioinfo_t *aioinfo = (squidaioinfo_t *) SD->fsdata;
@@ -772,7 +769,7 @@
 	rb->curlvl1 = 0;
 	rb->done = 1;
     }
-    *sfileno = rb->fn;
+    *filn_p = rb->fn;
     return fd;
 }
 
@@ -780,7 +777,7 @@
  * use to rebuild store from disk. */
 static StoreEntry *
 storeAufsDirAddDiskRestore(SwapDir * SD, const cache_key * key,
-    int file_number,
+    sfileno file_number,
     size_t swap_file_sz,
     time_t expires,
     time_t timestamp,
Index: squid/src/fs/diskd/store_dir_diskd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/diskd/store_dir_diskd.c,v
retrieving revision 1.5.10.7
retrieving revision 1.5.10.8
diff -u -r1.5.10.7 -r1.5.10.8
--- squid/src/fs/diskd/store_dir_diskd.c	30 Sep 2001 20:38:15 -0000	1.5.10.7
+++ squid/src/fs/diskd/store_dir_diskd.c	19 Oct 2001 19:05:16 -0000	1.5.10.8
@@ -83,9 +83,9 @@
 static char *storeDiskdDirSwapLogFile(SwapDir *, const char *);
 static EVH storeDiskdDirRebuildFromDirectory;
 static EVH storeDiskdDirRebuildFromSwapLog;
-static int storeDiskdDirGetNextFile(RebuildState *, int *sfileno, int *size);
+static int storeDiskdDirGetNextFile(RebuildState *, sfileno *, int *size);
 static StoreEntry *storeDiskdDirAddDiskRestore(SwapDir * SD, const cache_key * key,
-    int file_number,
+    sfileno file_number,
     size_t swap_file_sz,
     time_t expires,
     time_t timestamp,
@@ -135,27 +135,24 @@
  */
 
 static int
-storeDiskdDirMapBitTest(SwapDir * SD, int fn)
+storeDiskdDirMapBitTest(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     diskdinfo_t *diskdinfo;
     diskdinfo = SD->fsdata;
     return file_map_bit_test(diskdinfo->map, filn);
 }
 
 static void
-storeDiskdDirMapBitSet(SwapDir * SD, int fn)
+storeDiskdDirMapBitSet(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     diskdinfo_t *diskdinfo;
     diskdinfo = SD->fsdata;
     file_map_bit_set(diskdinfo->map, filn);
 }
 
 void
-storeDiskdDirMapBitReset(SwapDir * SD, int fn)
+storeDiskdDirMapBitReset(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     diskdinfo_t *diskdinfo;
     diskdinfo = SD->fsdata;
     /* 
@@ -546,7 +543,7 @@
     StoreEntry *e = NULL;
     StoreEntry tmpe;
     cache_key key[MD5_DIGEST_CHARS];
-    int sfileno = 0;
+    sfileno filn = 0;
     int count;
     int size;
     struct stat sb;
@@ -558,7 +555,7 @@
     debug(20, 3) ("storeDiskdDirRebuildFromDirectory: DIR #%d\n", rb->sd->index);
     for (count = 0; count < rb->speed; count++) {
 	assert(fd == -1);
-	fd = storeDiskdDirGetNextFile(rb, &sfileno, &size);
+	fd = storeDiskdDirGetNextFile(rb, &filn, &size);
 	if (fd == -2) {
 	    debug(20, 1) ("Done scanning %s swaplog (%d entries)\n",
 		rb->sd->path, rb->n_read);
@@ -583,7 +580,7 @@
 	if ((++rb->counts.scancount & 0xFFFF) == 0)
 	    debug(20, 3) ("  %s %7d files opened so far.\n",
 		rb->sd->path, rb->counts.scancount);
-	debug(20, 9) ("file_in: fd=%d %08X\n", fd, sfileno);
+	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
 	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeDiskdDirRebuildFromDirectory: read(FD %d): %s\n",
@@ -605,7 +602,7 @@
 	if (tlv_list == NULL) {
 	    debug(20, 1) ("storeDiskdDirRebuildFromDirectory: failed to get meta data\n");
 	    /* XXX shouldn't this be a call to storeDiskdUnlink ? */
-	    storeDiskdDirUnlinkFile(SD, sfileno);
+	    storeDiskdDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	debug(20, 3) ("storeDiskdDirRebuildFromDirectory: successful swap meta unpacking\n");
@@ -629,7 +626,7 @@
 	tlv_list = NULL;
 	if (storeKeyNull(key)) {
 	    debug(20, 1) ("storeDiskdDirRebuildFromDirectory: NULL key\n");
-	    storeDiskdDirUnlinkFile(SD, sfileno);
+	    storeDiskdDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	tmpe.hash.key = key;
@@ -641,11 +638,11 @@
 	} else if (tmpe.swap_file_sz != sb.st_size) {
 	    debug(20, 1) ("storeDiskdDirRebuildFromDirectory: SIZE MISMATCH %d!=%d\n",
 		tmpe.swap_file_sz, (int) sb.st_size);
-	    storeDiskdDirUnlinkFile(SD, sfileno);
+	    storeDiskdDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	if (EBIT_TEST(tmpe.flags, KEY_PRIVATE)) {
-	    storeDiskdDirUnlinkFile(SD, sfileno);
+	    storeDiskdDirUnlinkFile(SD, filn);
 	    rb->counts.badflags++;
 	    continue;
 	}
@@ -664,7 +661,7 @@
 	rb->counts.objcount++;
 	storeEntryDump(&tmpe, 5);
 	e = storeDiskdDirAddDiskRestore(SD, key,
-	    sfileno,
+	    filn,
 	    tmpe.swap_file_sz,
 	    tmpe.expires,
 	    tmpe.timestamp,
@@ -880,7 +877,7 @@
 }
 
 static int
-storeDiskdDirGetNextFile(RebuildState * rb, int *sfileno, int *size)
+storeDiskdDirGetNextFile(RebuildState * rb, sfileno *filn_p, int *size)
 {
     SwapDir *SD = rb->sd;
     diskdinfo_t *diskdinfo = SD->fsdata;
@@ -962,7 +959,7 @@
 	rb->curlvl1 = 0;
 	rb->done = 1;
     }
-    *sfileno = rb->fn;
+    *filn_p = rb->fn;
     return fd;
 }
 
Index: squid/src/fs/ufs/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/ufs/store_dir_ufs.c,v
retrieving revision 1.5.10.9
retrieving revision 1.5.10.10
diff -u -r1.5.10.9 -r1.5.10.10
--- squid/src/fs/ufs/store_dir_ufs.c	16 Jul 2001 17:43:35 -0000	1.5.10.9
+++ squid/src/fs/ufs/store_dir_ufs.c	19 Oct 2001 19:05:17 -0000	1.5.10.10
@@ -77,7 +77,7 @@
 static char *storeUfsDirSwapLogFile(SwapDir *, const char *);
 static EVH storeUfsDirRebuildFromDirectory;
 static EVH storeUfsDirRebuildFromSwapLog;
-static int storeUfsDirGetNextFile(RebuildState *, int *sfileno, int *size);
+static int storeUfsDirGetNextFile(RebuildState *, sfileno *, int *size);
 static StoreEntry *storeUfsDirAddDiskRestore(SwapDir * SD, const cache_key * key,
     int file_number,
     size_t swap_file_sz,
@@ -126,9 +126,8 @@
  */
 
 static int
-storeUfsDirMapBitTest(SwapDir * SD, int fn)
+storeUfsDirMapBitTest(SwapDir * SD, sfileno filn)
 {
-    sfileno filn = fn;
     ufsinfo_t *ufsinfo;
     ufsinfo = (ufsinfo_t *) SD->fsdata;
     return file_map_bit_test(ufsinfo->map, filn);
@@ -378,7 +377,7 @@
     StoreEntry *e = NULL;
     StoreEntry tmpe;
     cache_key key[MD5_DIGEST_CHARS];
-    int sfileno = 0;
+    sfileno filn = 0;
     int count;
     int size;
     struct stat sb;
@@ -390,7 +389,7 @@
     debug(20, 3) ("storeUfsDirRebuildFromDirectory: DIR #%d\n", rb->sd->index);
     for (count = 0; count < rb->speed; count++) {
 	assert(fd == -1);
-	fd = storeUfsDirGetNextFile(rb, &sfileno, &size);
+	fd = storeUfsDirGetNextFile(rb, &filn, &size);
 	if (fd == -2) {
 	    debug(20, 1) ("Done scanning %s swaplog (%d entries)\n",
 		rb->sd->path, rb->n_read);
@@ -415,7 +414,7 @@
 	if ((++rb->counts.scancount & 0xFFFF) == 0)
 	    debug(20, 3) ("  %s %7d files opened so far.\n",
 		rb->sd->path, rb->counts.scancount);
-	debug(20, 9) ("file_in: fd=%d %08X\n", fd, sfileno);
+	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
 	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeUfsDirRebuildFromDirectory: read(FD %d): %s\n",
@@ -437,7 +436,7 @@
 	if (tlv_list == NULL) {
 	    debug(20, 1) ("storeUfsDirRebuildFromDirectory: failed to get meta data\n");
 	    /* XXX shouldn't this be a call to storeUfsUnlink ? */
-	    storeUfsDirUnlinkFile(SD, sfileno);
+	    storeUfsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	debug(20, 3) ("storeUfsDirRebuildFromDirectory: successful swap meta unpacking\n");
@@ -461,7 +460,7 @@
 	tlv_list = NULL;
 	if (storeKeyNull(key)) {
 	    debug(20, 1) ("storeUfsDirRebuildFromDirectory: NULL key\n");
-	    storeUfsDirUnlinkFile(SD, sfileno);
+	    storeUfsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	tmpe.hash.key = key;
@@ -473,11 +472,11 @@
 	} else if (tmpe.swap_file_sz != sb.st_size) {
 	    debug(20, 1) ("storeUfsDirRebuildFromDirectory: SIZE MISMATCH %d!=%d\n",
 		tmpe.swap_file_sz, (int) sb.st_size);
-	    storeUfsDirUnlinkFile(SD, sfileno);
+	    storeUfsDirUnlinkFile(SD, filn);
 	    continue;
 	}
 	if (EBIT_TEST(tmpe.flags, KEY_PRIVATE)) {
-	    storeUfsDirUnlinkFile(SD, sfileno);
+	    storeUfsDirUnlinkFile(SD, filn);
 	    rb->counts.badflags++;
 	    continue;
 	}
@@ -496,7 +495,7 @@
 	rb->counts.objcount++;
 	storeEntryDump(&tmpe, 5);
 	e = storeUfsDirAddDiskRestore(SD, key,
-	    sfileno,
+	    filn,
 	    tmpe.swap_file_sz,
 	    tmpe.expires,
 	    tmpe.timestamp,
@@ -687,7 +686,7 @@
 }
 
 static int
-storeUfsDirGetNextFile(RebuildState * rb, int *sfileno, int *size)
+storeUfsDirGetNextFile(RebuildState * rb, sfileno *filn_p, int *size)
 {
     SwapDir *SD = rb->sd;
     ufsinfo_t *ufsinfo = (ufsinfo_t *) SD->fsdata;
@@ -769,7 +768,7 @@
 	rb->curlvl1 = 0;
 	rb->done = 1;
     }
-    *sfileno = rb->fn;
+    *filn_p = rb->fn;
     return fd;
 }
 
